Package net.dona.doip.util.tls

# Class TlsProtocolAndCipherSuiteConfigurationUtil.SocketFactoryWrapper

java.lang.Object
javax.net.SocketFactory
javax.net.ssl.SSLSocketFactory
net.dona.doip.util.tls.TlsProtocolAndCipherSuiteConfigurationUtil.SocketFactoryWrapper

Enclosing class:
  TlsProtocolAndCipherSuiteConfigurationUtil

public static class TlsProtocolAndCipherSuiteConfigurationUtil.SocketFactoryWrapper extends SSLSocketFactory
A wrapper for an `SSLSocketFactory` which ensures that all created sockets will use appropriate protocols and cipher suites.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SocketFactoryWrapper(SSLSocketFactory delegate)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Socket`
  `createSocket()`
  `Socket`
  `createSocket(String host, int port)`
  `Socket`
  `createSocket(String host, int port, InetAddress localHost, int localPort)`
  `Socket`
  `createSocket(InetAddress host, int port)`
  `Socket`
  `createSocket(InetAddress address, int port, InetAddress localAddress, int localPort)`
  `Socket`
  `createSocket(Socket s, String host, int port, boolean autoClose)`
  `boolean`
  `equals(Object obj)`
  `String[]`
  `getDefaultCipherSuites()`
  `String[]`
  `getSupportedCipherSuites()`
  `int`
  `hashCode()`
  `String`
  `toString()`

  ### Methods inherited from class javax.net.ssl.SSLSocketFactory

  `createSocket, getDefault`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SocketFactoryWrapper

    public SocketFactoryWrapper(SSLSocketFactory delegate)

- ## Method Details

  - ### createSocket

    public Socket createSocket() throws IOException
    Overrides:
      `createSocket` in class `SocketFactory`
    Throws:
      `IOException`

  - ### createSocket

    public Socket createSocket(InetAddress address, int port, InetAddress localAddress, int localPort) throws IOException
    Specified by:
      `createSocket` in class `SocketFactory`
    Throws:
      `IOException`

  - ### createSocket

    public Socket createSocket(InetAddress host, int port) throws IOException
    Specified by:
      `createSocket` in class `SocketFactory`
    Throws:
      `IOException`

  - ### createSocket

    public Socket createSocket(Socket s, String host, int port, boolean autoClose) throws IOException
    Specified by:
      `createSocket` in class `SSLSocketFactory`
    Throws:
      `IOException`

  - ### createSocket

    public Socket createSocket(String host, int port, InetAddress localHost, int localPort) throws IOException, UnknownHostException
    Specified by:
      `createSocket` in class `SocketFactory`
    Throws:
      `IOException`
      `UnknownHostException`

  - ### createSocket

    public Socket createSocket(String host, int port) throws IOException, UnknownHostException
    Specified by:
      `createSocket` in class `SocketFactory`
    Throws:
      `IOException`
      `UnknownHostException`

  - ### getDefaultCipherSuites

    public String[] getDefaultCipherSuites()
    Specified by:
      `getDefaultCipherSuites` in class `SSLSocketFactory`

  - ### getSupportedCipherSuites

    public String[] getSupportedCipherSuites()
    Specified by:
      `getSupportedCipherSuites` in class `SSLSocketFactory`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`